# Список изменений в версии 6.0.0

## Обновления

### Модуль decort_user_info
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-515 | Фильтрация аудитов по коду ответа происходит в фильтре `status_code`, принимающем параметры `min` и `max`. |

### Модуль decort_account_info
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-554 | Удалён подпараметр `images.deleted`. |

### Модуль decort_kvmvm
| Идентификатор<br>задачи | Описание                 |
| --- | --- |
| BANS-573 | Удалён параметр `arch`. |
| BANS-581 |Добавлен параметр `chipset` для указания чипсета при создании виртуальной машины. |
| BANS-528 | Добавлен тип сети `VFNIC`. |
| BANS-586 | Добавлен параметр `network_order_changing`, позволяющий включить соблюдение очерёдности сетей при их изменении. |
| BANS-522 | Добавлен тип сети `EMPTY`. |
| BANS-592 | Добавлен тип сети `DPDK`. |
| BANS-11 | Добавлена возможность создать виртуальную машину без образа. |
| BANS-12 | Добавлена возможность переименования виртуальной машины. |
| BANS-596 | Добавлена возможность изменения IP-адреса ВМ во внутренней/внешней сети без переподключения сети. |

### Модуль decort_osimage
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-573 | Удалён параметр `architecture`. |

### Модуль decort_rg
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-507 | Добавлена возможность удаления сети по умолчанию. |
| BANS-509 | Добавлен параметр `sep_pools` для указания доступных пулов СХД. |
| BANS-7 | Добавлен параметр `recursive_deletion` для удаления непустой РГ. |

### Модуль decort_account
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-508 | Добавлен параметр `sep_pools` для указания доступных пулов СХД. |

## Исправления

### Глобальные
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-511 | При ошибке HTTP-подключения в некоторых случаях работа модуля завершалась ошибкой Python. |

### Модуль decort_bservice

| Идентификатор<br>задачи | Описание                                                                                                                                                                          |
|-------------------------| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| BANS-549                | Модуль требовал параметр `name` вместе с параметром `id`.<br/> Исправлено завершение работы модуля с ошибкой Python при отсутствии параметра `rg_id` при заданном параметре `id`. |

### Модуль decort_kvmvm
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-550 | Отсутствие параметров `cpu` и/или `ram` при заданном параметре `id` вызывало завершение работы модуля **decort_kvmvm** с ошибкой Python. |
| BANS-588 | Исправлена ошибка, при которой модуль производил изменения при незаданных параметрах `data_disks`, `networks`, `tag`, `affinity_label`, `aff_rule`, `aaff_rule`. |

### Модуль decort_disk
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-534 | Исправлена ошибка получения данных о привязке диска к виртуальной машине. |
| BANS-557 | Модуль требовал параметр `account_id` или `account_name` при заданном параметре `id`. |
| BANS-558 | Модуль пытался произвести `rename` и `resize` при отсутствующих параметрах `name` и `size` |

### Модуль decort_group
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-560 | Модуль требовал параметр `name` при заданном параметре `id`. |
| BANS-561 | Модуль всегда требовал параметр `count`. |
| BANS-562 | Модуль производил обновление сетей при незаданном параметре `networks`. |
| BANS-563 | Модуль производил вызов API `cloudapi/bservice/groupUpdate` при незаданных параметрах. |
| BANS-564 | Модуль завершал свою работу с ошибкой Python если не заданы все необходимые параметры при создании группы. |

### Модуль decort_osimage
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-566 | Модуль не удалял шаблонный образ без указания идентификатора аккаунта. |
| BANS-567 | Модуль завершал свою работу с ошибкой запроса к API при попытке удалить несуществующий или уже удалённый образ. |
| BANS-568 | Модуль завершал свою работу ошибкой запроса к API при заданном параметре `virt_id` и незаданном параметре `image_id`. |

### Модуль decort_lb
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-569 | Модуль требовал параметр `lb_name` при заданном параметре `lb_id`. |
| BANS-570 | Модуль завершал работу с ошибкой запроса к API при заданных параметрах `lb_name` и `rg_id` существующего балансировщика. |
| BANS-571 | Модуль удалял конфигурации backend и frontend у существующего балансировщика при незаданных параметрах `backends`, `servers`, `frontends`. |

### Модуль decort_k8s
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-198 | Модуль завершал свою работу с ошибкой Python при отсутствии необязательных подпараметров `workers.sep_id` и `workers.pool`. |
| BANS-576 | Модуль требовал необязательные параметры при заданном параметре `id`. |
| BANS-578 | Модуль требовал необязательные параметры для изменения группы worker-узлов. |

### Модуль decort_rg
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-546 | Модуль требовал параметр `account_id` или `account_name` при заданном параметре `rg_id`. |

### Модуль decort_account_info
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-547 | Модуль ожидал тип `int` для параметра `ext_ip` вместо типа `str`. |

### Модуль decort_pfw
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-577 | Модуль удаляет правила переадресации портов при незаданном параметре `rules`. |
